Hello, I've created my first Aurora theme via compass create mytheme -r aurora --using aurora/susy, so far so good. When I enable the theme however I get this error:

Notice: Undefined property: stdClass::$content_unwrapped in include() (line 33 of /var/aegir/platforms/panopoly-beta5/sites/all/themes/aurora/templates/views/views-view-fields.tpl.php).

For now I've just copied the file to my theme folder mytheme/templates/views/views-view-fields.tpl.php and commented out the offending line #33.

    <?php /*print $field->content_unwrapped;*/ ?>

Anyone else seeing this error? Drupal 7.15, Panoply install profile.

Comments

Snugug’s picture

Status:Active» Closed (fixed)

Both this and #1776050: Notice: Undefined index: sidebar_first in ... page.tpl.php should be solved for new Aurora themes with the fix you suggested. Please make sure to upgrade your gems before trying again.

drupleg’s picture

Version:7.x-1.1» 7.x-1.2
Status:Closed (fixed)» Active

Hello, this is still showing an error for me in aurora-7.x-1.2. I have found the template.php code (line 74-89 is what fixes this error) here:

http://drupalcode.org/project/aurora.git/blob/463e2512c4de5bc58fd3c5424f...

But when I download the latest aurora-7.x-1.2 tarball, that code is missing from the latest template.php file? I added the code block to my own aurora theme template.php to fix the error. I don't know git well enough to understand why the new code isn't showing up in the latest download?

Thank you,
--Tony

Snugug’s picture

I had removed it because I had thought I removed the views templates. I'll take another look at this.

drupleg’s picture

OK, tough call... I do like the views templates, but I understand either way if those are not something you'd want included in the base theme. Fine by me either way :).

Snugug’s picture

Let me rephrase. The Views stuff I had removed because their original purpose was very narrow-minded and pieces of it were just done incorrectly. I have no issue with, and probably will be, including better Views templates/theme function overrides in the future, but for the time being they should all be removed.

That said, on a clean install of D7 I'm stil not seeing this error. Can you give me some specifics about your install so I can try and match it?

Snugug’s picture

Status:Active» Closed (fixed)

Okay, so this is now fixed. It's been fixed by removing the Views templates because, honestly, they weren't done well the first time around. If I have Views/Panels templates in here, I want them done right. SO, they're coming, but have been removed for now. If you'd like to track Views templates, I encourage you to file a ticket for it, especially if you have patches for it before I get around to it.

drupleg’s picture

All good, errors are gone on fresh install. I'm in no hurry for views templates, they'll get here when they get here. All in all aurora-7.x-1.5 is kicking ass as far as I'm concerned. THANK YOU! --Tony

drupleg’s picture

Issue summary:View changes

fixed a syntax error